### Hierarchy

- ConnectOpts
  - IpcSocketConnectOpts

## Index

### Properties

- onread
- path

## Properties

### Optional onread

onread?: OnReadOpts

Inherited from ConnectOpts.onread

If specified, incoming data is stored in a single buffer and passed to the supplied callback when data arrives on the socket. Note: this will cause the streaming functionality to not provide any data, however events like 'error', 'end', and 'close' will still be emitted as normal and methods like pause() and resume() will also behave as expected.

### path

path: string

Generated using TypeDoc